Skip to main content

Task Run

View as Markdown

Stores information about a single task run.

CleanRoomTaskRun object

Stores information about a single task run.

namestring

Name of the executable.

task_typestring

The type of Clean Room task.

Values: CLEAN_ROOM_TASK_TYPE_UNSPECIFIED, NOTEBOOK, JAR

start_timeint64

When the task run started, in epoch milliseconds.

run_durationint64

Duration of the task run, in milliseconds.

task_run_stateobject

State of the task run.

Show child attributesHide child attributes
life_cycle_statestring

A value indicating the run's current lifecycle state. This field is always available in the response. Note: Additional states might be introduced in future releases.

Values: RUN_LIFE_CYCLE_STATE_UNSPECIFIED, PENDING, RUNNING, TERMINATING, TERMINATED, SKIPPED, INTERNAL_ERROR, BLOCKED, WAITING_FOR_RETRY, QUEUED

result_statestring

A value indicating the run's result. This field is only available for terminal lifecycle states. Note: Additional states might be introduced in future releases.

Values: RUN_RESULT_STATE_UNSPECIFIED, SUCCESS, FAILED, TIMEDOUT, CANCELED, MAXIMUM_CONCURRENT_RUNS_REACHED, UPSTREAM_CANCELED, UPSTREAM_FAILED, EXCLUDED, EVICTED, SUCCESS_WITH_FAILURES, UPSTREAM_EVICTED, DISABLED

collaborator_job_run_infoobject

Job run info of the task in the runner's local workspace. This field is only included in the LIST API if the task was run within the same workspace the API is being called. If the task run was in a different workspace under the same metastore, only the workspace_id is included.

Show child attributesHide child attributes
collaborator_job_idint64

Job ID of the task run in the collaborator's workspace.

collaborator_job_run_idint64

Job run ID of the task run in the collaborator's workspace.

collaborator_task_run_idint64

Task run ID of the task run in the collaborator's workspace.

collaborator_workspace_idint64

ID of the collaborator's workspace that triggered the task run.

collaborator_aliasstring

Alias of the collaborator that triggered the task run.

output_infoobject

Information about run output

Show child attributesHide child attributes
output_schema_namestring

Name of the output schema associated with the clean room task run.

output_schema_expiration_timeint64

Expiration time of the output schema of the task run (if any), in epoch milliseconds.

analysis_detailsobject

Information about the analysis run (etag, updated at)

Show child attributesHide child attributes
etagstring

Etag of the asset executed in this task run, used to identify the asset version.

updated_atint64

The timestamp of when the asset was last updated.

shared_output_infoobjectPublic Preview

Information about shared output accessible by all collaborators. This field is only populated when enable_shared_output is true.

Show child attributesHide child attributes
output_schema_namestring

Name of the output schema associated with the clean room task run.

output_schema_expiration_timeint64

Expiration time of the output schema of the task run (if any), in epoch milliseconds.

List GA

GET /api/2.0/clean-rooms/{clean_room_name}/task-runs

List all the historical task runs in a clean room.

API scopes: cleanrooms

Parameters

clean_room_namestringRequiredpath

Name of the clean room.

namestringquery

Executable name.

task_typestringquery

Filter by the type of Clean Room task.

Values: CLEAN_ROOM_TASK_TYPE_UNSPECIFIED, NOTEBOOK, JAR

page_sizeint32query

The maximum number of task runs to return. Maximum value of 100.

page_tokenstringquery

Opaque pagination token to go to next page based on previous query.

Response

Returns a list of CleanRoomTaskRun objects.